Optim - Test Data Management and Archiving

Expand all | Collapse all

Adobe Flash end of support on December 31, 2020

  • 1.  Adobe Flash end of support on December 31, 2020

    Posted Mon August 17, 2020 03:56 PM
    Hello Optim TDM and DGS Users!

    As you may know, Adobe will remove Flash Player from the internet by the end of this year, December 31, 2020.

    All browsers will disable Flash by the end of this year, December 31, 2020. Some browsers have already disabled it by default and you have to manually turn it back on each time the browser is launched to allow the use of it. After December 31, 2020, you will not be able to turn Flash on.

    The current implementation of Optim Manager is based on Flash.

    A new implementation of Optim Manager that does not use Flash will be released as an interim fix (iFix) to Optim 11.3.0.8, which is also known as Optim 11.3.0 Fix Pack 8. As Optim Manager can be launched from Optim Designer, there is a minor change to Optim Designer that is included in the iFix as well. The target date for the iFix is the end of September 2020.

    The iFix will allow Optim customers to continue using Manager after Flash becomes unavailable. This includes the case where Optim Manager is launched from Optim Designer.

    For Optim customers that use Optim Manager and are not at 11.3.0.8, it is recommended that you upgrade to Optim 11.3.0.8 on all of your systems as soon as possible in preparation for the release of the iFix. Once the iFix is released, it is recommended that you install it before the end of the year to avoid any disruption caused by loss of Flash support. 



    ------------------------------
    Regards,

    Rick Spagna
    Optim Development Director
    UNICOM Global
    ------------------------------


  • 2.  RE: Adobe Flash end of support on December 31, 2020

    Posted Thu October 08, 2020 04:09 PM
    Edited by Rick Spagna Fri October 09, 2020 09:18 AM
    Hello Optim Users,

    iFix OPDM-11.03.00.08-005 was released on September 22 to address this feature for Optim release 11.3.0.8. If you are at a prior release of Optim, you must first upgrade to 11.3.0.8 to install this iFix. To do that, see here: https://www.ibm.com/support/pages/node/569873

    This iFix is installed using IBM Installation Manager (IIM) and is not available on IBM Fix Central.

    Here are the instructions on how to install it.

    IIM version 1.8.2 or higher is required. If your IIM version does not meet this requirement, it must be upgraded before proceeding with this installation.

    iFix OPDM-11.03.00.08-005 is provided for both IBM Web Applications and IBM InfoSphere Optim Designer. Therefore the iFix needs to be applied to both the "IBM Optim Shared" and "IBM InfoSphere" Package Groups. This is done one at a time.

    The "IBM InfoSphere" package updates Designer and the "IBM Optim Shared" package updates Manager.


    Installing iFix OPDM-11.03.00.08-005 for the "IBM Shared" Package Group (Manager)



    Optim Manager iFixes are provided as a complete WAR file for the Optim Web Applications that must then be manually deployed to the web server, typically this is WebSphere Application Server Community Edition. An Optim iFix provided as a WAR file is cumulative, so it contains all prior Optim Manager iFixes. Therefore, you must uninstall any prior Optim Manager iFix before installing OPDM-11.03.00.08-005. Likewise, should a future Optim Manager iFix become available, you will need to uninstall OPDM-11.03.00.08-005 should you need to install a future Optim Manager iFix.

    1. Start IIM on the computer where you want to update Optim Manager
    2. Select File->Preferences
    3. Ensure the "Search service repositories during installation and updates" checkbox is selected.
    4. Select OK
    5. Select Uninstall
      1. If you have any prior iFix installed in the "IBM Optim Shared" package group, preform the following steps:
        1. Select the iFix under "IBM InfoSphere Optim Web Applications" that is under "IBM Optim Shared"
        2. Select Next
        3. Select Uninstall
        4. Select Finish
      2. If there is no prior iFix installed
        1. Select Cancel
    6. Select Update
    7. Select the "IBM Optim Shared" Package Group Name.
    8. Select Next and the IBM Optim Dependency Check error dialog will appear
    9. Repeat the following until the IBM Optim Dependency Check error dialog does not appear
      1. Click OK to get to the Update Packages panel. While here, you can select any of the iFixes and the details for it will be displayed in the Details section at the bottom of the panel. There is also a More info... link that can be selected to get additional details on the iFix.
      2. Unselect all but the most recent iFix that is available
    10. Select Next
    11. Read the message
    12. Select Next
    13. Select Update to complete the installation.

    Post Installation Instructions:

    Optim Manager iFixes are always cumulative, and are provided as a complete Optim Unified war file. After installing this iFix, you must manually undeploy the previous Optim Unified war file and manually deploy the Optim Unified war file that is supplied with this iFix. Do not install any previous Optim Manager iFixes once this iFix is installed.

    Installing iFix OPDM-11.03.00.08-005 for the "IBM InfoSphere" Package Group (Designer)


    Make sure Optim Designer is not running. For Optim Designer, OPDM-11.03.00.08-003 must first be installed. Since OPDM-11.03.00.08-003 contains OPDM-11.03.00.08-001 and OPDM-11.03.00.08-002, you will need to uninstall them before installing OPDM-11.03.00.08-003. If OPDM-11.03.00.08-004 is installed, you must first uninstall it as it is included in OPDM-11.03.00.08-005. If you omit these required steps, you will receive one or more Dependency Check error messages. You will not be able to install OPDM-11.03.00.08-005 until OPDM-11.03.00.08-003 is installed and OPDM-11.03.00.08-001, OPDM-11.03.00.08-002 and OPDM-11.03.00.08-004 are uninstalled.

    1. Start IIM on the computer where you want to update IBM InfoSphere Optim Designer
    2. Select File->Preferences
    3. Ensure the "Search service repositories during installation and updates" checkbox is selected.
    4. Select OK
    5. Select Uninstall.
      1. If iFixes OPDM-11.03.00.08-001, OPDM-11.03.00.08-002, or OPDM-11.03.00.08-004 are installed:
        1. Select them under "IBM InfoSphere Optim Designer" that is under "IBM Optim InfoSphere"
        2. Select Next
        3. Select Uninstall
        4. Select Finish
      2. If iFixes OPDM-11.03.00.08-001, OPDM-11.03.00.08-002, or OPDM-11.03.00.08-004 are not installed
        1. Select Cancel
    6. Select Update
    7. Select the "IBM InfoSphere" package group
    8. Repeat the following until the IBM Optim Dependency Check error dialog does not appear
      1. Click OK to get to the Update Packages panel. While here, you can select any of the iFixes and the details for it will be displayed in the Details section at the bottom of the panel. There is also a More info... link that can be selected to get additional details on the iFix.
      2. Unselect all but iFix OPDM-11.03.00.08-003 and OPDM-11.03.00.08-005
    9. if OPDM-11.03.00.08-003 has not been installed, select it.
    10. Select OPDM-11.03.00.08-005.
    11. Select Next
    12. Read the message
    13. Select Next
    14. Select Update to complete the installation.

    Note: There may be a future iFix Designer IFix that may include OPDM-11.03.00.08-005. It is a good practice to always check the More Info... link for an iFix before installing it to learn important information.

    Post Installation Instructions:

    This fix creates the file eclipse.OPDM-11.03.00.08-005.ini in the <Optin Install Directory>/designer directory . Before starting Optim Designer, you must replace the contents of the eclipse.ini file with the contents of the eclipse.OPDM-11.03.00.08-005.ini file.

    ------------------------------
    Regards,

    Rick Spagna
    Optim Development Director
    UNICOM Global
    ------------------------------